@echo off
if !%2==! goto plain
if %2==log goto log

del tmp*.tex
ren %1.tex tmp0.tex
findstr /V "documentclass" tmp0.tex > tmp1.tex
findstr /V "includeonly" tmp1.tex > tmp2.tex

if %2==dvi goto dvitex
if %2==final goto finaltex
goto drafttex

:dvitex
echo \documentclass[b5paper,vartwo,docuinfo,pagetab]{hozemanucs} > %1.tex
goto latex

:finaltex
echo \documentclass[b5paper,vartwo,bookmark,pdffig,pagetab]{hozemanucs} > %1.tex
goto latex

:drafttex
echo \documentclass[b5paper,vartwo,docuinfo,bookmark,pdffig,pagetab} > %1.tex
goto latex

:latex
echo %%\includeonly{} >> %1.tex
copy %1.tex + tmp2.tex %1.tex

latex -quiet %1
latex -quiet %1
latex -quiet %1
makeindex-dhucs -s hozemanucs.ist %1
latex -quiet %1
latex -quiet %1

if %2==dvi goto end

closepdf

if %2==final goto finalpdf

:draftpdf
dvipdfmx -o %1%2.pdf %1
goto end

:finalpdf
dvipdfmx %1
goto end

:plain
latex -quiet %1
goto end

:log
latex %1
goto end

:end